.efficiency_type_picker__options
  display: grid
  grid-gap: .75rem
  grid-template-columns: repeat(auto-fit, minmax(80px, 1fr))

.efficiency_type_picker__option
  background: #fafafa
  border: none
  outline: none
  padding: .75em 1em
  transition: .2s ease-in-out
  cursor: pointer
  border-radius: 5px
  font: 600 $family-sans-serif 1em

  &:hover
    background: #eee

.efficiency_type_picker__option--active
  background: lighten($color-blue, 20%)
  color: white

  &:hover
    background: lighten($color-blue, 15%)

.chart
  height: 400px
  width: 100%
  margin-top: 1rem

.chart--empty
  background: #fafafa
  position: relative
  &::after
    content: "No efficiency type selected or no data available"
    font-size: 1.5em
    position: absolute
    text-align: center
    line-height: 1.5
    top: 50%
    left: 50%
    transform: translate(-50%, -50%)
